#include <windows.h>

typedef struct {
 int TaskType;
 SYSTEMTIME BeginTime; // Time then user create task
 SYSTEMTIME StartTime; // Time to start program
 int Freq;			   // Lunch frequency 	
 char szFileName[512]; // Keep File name here
 char szText[512];	   // Keep text of message	
 int DaysOfWeek[7];	   // Keep days of week in bits 
 int DayOfMonth;	   // Keep day of month
 BOOL DisabledTask;	   // Keep state of task
 BOOL TaskWasRun;	   // Task already run ?
 BOOL AtBoot;		   // Task must start at Boot ?

}TASK_RECORD;


typedef struct {
 char				szVersion[4];
 DWORD				dwCRC;
 BOOL				DisableAttendant;
 BOOL				EnableSound;
 BOOL				RunAtBoot;
 BOOL                           SortByCreatedTime;
 int				MinimizeOnClose;
 char				Reserv[50];

}PROG_INFO;

typedef struct {
	int		top;
	int		left;
	int		width;
	int		height;

}POSITION_SETTINGS;

typedef struct{
 TASK_RECORD	tr;
 BOOL			Notify;

}THREAD_RECORD;
