#include <windows.h>    // includes basic windows functionality
#include <windowsx.h>
#include <winuser.h>
#include <commctrl.h>   // includes the common control header
#include <stdio.h>
#include <string.h>


extern char		szHomeDir[512]; //  
extern HWND		hWndListView; // Handle of the ListView

void GetHomeDir(); // From Main.cpp

void AddRecordInLog(int Index);
void ShowLog();


void ShowLog()
{
	char szLogFile[512] = "";
	char szCommandLine[1024] = "";

	HANDLE hF;
    WIN32_FIND_DATA FindFileData;

	GetHomeDir();
	strcat(szLogFile,szHomeDir);
	strcat(szLogFile,"\\attend.log");
	
	hF = FindFirstFile(szLogFile,&FindFileData);
	
	SetCurrentDirectory(szHomeDir);

	if(hF == INVALID_HANDLE_VALUE){

		hF = CreateFile(szLogFile,GENERIC_WRITE,FILE_SHARE_READ | FILE_SHARE_WRITE,
			              NULL,CREATE_ALWAYS,FILE_ATTRIBUTE_NORMAL,NULL);  


	}else{
		hF = CreateFile(szLogFile,GENERIC_WRITE,FILE_SHARE_READ | FILE_SHARE_WRITE,
			              NULL,OPEN_EXISTING,FILE_ATTRIBUTE_NORMAL,NULL);  

	}
	CloseHandle(hF);

	strcat(szCommandLine,"notepad "); 
    strcat(szCommandLine,szLogFile);

    STARTUPINFO			 si;
    PROCESS_INFORMATION 	 pi;

    
	ZeroMemory(&si,sizeof(STARTUPINFO));
	si.cb = sizeof(STARTUPINFO);

	CreateProcess(NULL,szCommandLine,NULL,NULL,FALSE,0,NULL,NULL,&si,&pi);

}

void AddRecordInLog(int Index)
{
    char output[1024] = "";
	char fieldtext[1024] = "";

    int FileSize = 0;
    int  subitem = 0; 

	BYTE iEnd[2] ={0xD,0xA};

	UINT i;

	char szLogFile[512] = "";
	char szCommandLine[1024] = "";

	HANDLE hF;
    WIN32_FIND_DATA FindFileData;


	
	GetHomeDir();
	strcat(szLogFile,szHomeDir);
	strcat(szLogFile,"\\attend.log");
	
	hF = FindFirstFile(szLogFile,&FindFileData);
	
	SetCurrentDirectory(szHomeDir);

	if(hF == INVALID_HANDLE_VALUE){

		hF = CreateFile(szLogFile,GENERIC_WRITE,FILE_SHARE_READ | FILE_SHARE_WRITE,
			              NULL,CREATE_ALWAYS,FILE_ATTRIBUTE_NORMAL,NULL);  


	}else{
		hF = CreateFile(szLogFile,GENERIC_WRITE,FILE_SHARE_READ | FILE_SHARE_WRITE,
			              NULL,OPEN_EXISTING,FILE_ATTRIBUTE_NORMAL,NULL);  
		
		// Befor writing we should seek in file. If it already created
		FileSize = GetFileSize(hF,NULL);
        if(FileSize > 50000){
			CloseHandle(hF);
			hF = CreateFile(szLogFile,GENERIC_WRITE,FILE_SHARE_READ | FILE_SHARE_WRITE,
		              NULL,CREATE_ALWAYS,FILE_ATTRIBUTE_NORMAL,NULL);  
			FileSize = 0;
		
		}

		DWORD dW = SetFilePointer(hF,FileSize,NULL,FILE_BEGIN);

	}


	//    
	SYSTEMTIME st;
	char szDate[12] = "";

	GetLocalTime(&st);
    wsprintf(output,"%02d:%02d",st.wHour,st.wMinute);
	strcat(output,"\t");
	wsprintf(szDate,"%02d.%02d.%02d",st.wDay,st.wMonth,st.wYear);
	strcat(output,szDate);
	strcat(output,"\t");
    
	ListView_GetItemText( hWndListView, Index, 0, fieldtext, 256 );
	strcat( output, fieldtext );
	
	/*

	for( subitem = 2; subitem >= 0; subitem-- ) {
		fieldtext[0] = 0;
		ListView_GetItemText( hWndListView, Index, subitem, fieldtext, 256 );
		
		strcat( output, fieldtext );
		strcat( output, "\t" );
	}

    */

	WriteFile(hF,output,strlen(output),(unsigned long *)&i,NULL);
	BOOL B = WriteFile(hF,iEnd,sizeof(iEnd),(unsigned long *)&i,NULL);

	
	CloseHandle(hF);

}